## org.apache.batik.gvt.font
Interface AltGlyphHandler

All Known Implementing Classes:
  SVGAltGlyphHandler

public interface AltGlyphHandler

An interface for handling altGlyphs.

Method Summary
`GVTGlyphVector` `createGlyphVector(java.awt.font.FontRenderContext frc, float fontSize, java.text.AttributedCharacterIterator aci)` Creates a glyph vector containing the alternate glyphs.

Method Detail

### createGlyphVector

    public GVTGlyphVector createGlyphVector(java.awt.font.FontRenderContext frc,
                                            float fontSize,
                                            java.text.AttributedCharacterIterator aci)

  Creates a glyph vector containing the alternate glyphs.

  Parameters:
    `frc` - The current font render context.
    `fontSize` - The required font size.
  Returns:
    The GVTGlyphVector containing the alternate glyphs, or null if the alternate glyphs could not be found.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.